/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.386 Revision 1.445
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.386 2009/03/10 14:43:35 a3li Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.445 2010/05/01 10:25:23 a3li Exp $
4
5*ruby-1.9.1_p376 (01 May 2010)
6
7 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
8 Version bump. Fixes security bugs 296052 and 300468. No longer installs
9 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
10 instead.
11
12 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
13 -ruby-1.8.7_p174-r1.ebuild:
14 Remove vulnerable ebuilds, 300468
15
16 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
17 ruby-1.8.7_p249.ebuild:
18 amd64 stable, security bug 300468
19
20 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
21 ruby-1.8.7_p249.ebuild:
22 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
23
24 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
25 Stable for HPPA (bug #300468).
26
27 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
28 Stable for HPPA (bug #300468).
29
30 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
31 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
32
33 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
34 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
35
36 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
37 ruby-1.8.6_p388.ebuild:
38 stable x86, security bug 300468
39
40 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
41 ruby-1.8.7_p249.ebuild:
42 stable x86, security bug 300468
43
44*ruby-1.8.6_p388 (10 Jan 2010)
45
46 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
47 +ruby-1.8.6_p388.ebuild:
48 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
49 version. The new ebuild also has the fix for bug 168939.
50
51*ruby-1.8.7_p249 (10 Jan 2010)
52
53 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
54 +ruby-1.8.7_p249.ebuild:
55 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
56 version
57
58 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
59 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
60
61*ruby-1.8.7_p248 (25 Dec 2009)
62
63 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
64 Version bump
65
66 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
67 Remove old version.
68
69 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
70 Remove old version.
71
72 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
73 ia64/s390/sh stable wrt #288699
74
75 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
76 stable sparc, bug 288699
77
78 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
79 arm stable, bug #288699
80
81 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
82 amd64/x86 stable, bug #288699
83
84 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
85 ruby-1.8.7_p174-r1.ebuild:
86 Stable on alpha, bug #288699
87
88 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
89 ppc stable #288699
90
91 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
92 Stable for HPPA (bug #288699).
93
94 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
95 Marked ~hppa too.
96
97*ruby-1.8.7_p174-r1 (06 Oct 2009)
98
99 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
100 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
101 eselect-ruby cleanup feature.
102
103*ruby-1.9.1_p243 (09 Sep 2009)
104
105 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
106 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
107 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
108 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
109 -files/ruby19-rubygems-proxy.patch,
110 -files/ruby-1.9.1_p129-parallelmake.patch,
111 -files/ruby19-mkmf-parallel-install.patch:
112 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
113 168939. Cleaning up old patches.
114
115*ruby-1.8.6_p383 (20 Aug 2009)
116
117 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
118 Patchlevel bump.
119
120 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
121 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
122 ruby-1.9.1_p129-r1.ebuild:
123 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
124
125 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
126 Removing vulnerable ebuild, bug 273213.
127
128 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
129 Marking ruby-1.8.6_p369 ppc for bug 273213
130
131 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
132 ruby-1.9.1_p129-r1.ebuild:
133 Prepend our library path instead of overwriting it during src_install.
134 Thanks to the reporter of bug #274824.
135
136*ruby-1.8.7_p174 (18 Jun 2009)
137
138 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
139 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
140 Replacing 187_p173 with _p174 because of a regression. Unifying the
141 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
142 patchsets.
143
144 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
145 Marking ruby-1.8.6_p369 ppc64 for bug 273213
146
147 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
148 arm/ia64/s390/sh/sparc stable wrt #273213
149
150 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
151 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
152 Removing old version, minor cleanup
153
154 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
155 -files/ruby-1.8.6-openssl.patch,
156 -files/ruby-1.8.6-shortname_constants.patch,
157 -files/ruby-1.8.6_p111-r13657.patch,
158 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
159 Removing vulnerable old Ruby version and stale patches, bug 274108.
160
161 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
162 ruby-1.8.6_p369.ebuild:
163 Stable on alpha, bug #273213
164
165 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
166 Stable for HPPA (bug #273213).
167
168 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
169 ruby-1.8.6_p369.ebuild:
170 stable x86, security bug 273213
171
172 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
173 amd64 stable, security bug 273213.
174
175*ruby-1.8.7_p173 (10 Jun 2009)
176*ruby-1.8.6_p369 (10 Jun 2009)
177
178 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
179 +ruby-1.8.7_p173.ebuild:
180 Version bumps for bug #273213.
181
182*ruby-1.9.1_p129-r1 (27 May 2009)
183
184 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
185 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
186 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
187 +files/ruby-1.9.1_p129-parallelmake.patch:
188 Revision bump, add patches 1) to make Ruby behave more similarly between
189 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
190 extensions (undefined symbols in them will cause abort at runtime 3) to
191 remove a concurrency issue when building the dl extension that could
192 result in a broken dl.so.
193
194 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
195 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
196 Don't block rdoc-2 or later (which may enter Portage one day as it's
197 needed by some Rakefiles).
198
199 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
200 ruby-1.9.1_p129.ebuild:
201 Add ~x86-fbsd keyword.
202
203 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
204 keyword ~sparc-fbsd, bug #252315
205
206*ruby-1.9.1_p129 (15 May 2009)
207
208 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
209 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
210 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
211 included in every release.
212
213 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
214 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
215 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
216 ruby-1.8.7_p160.ebuild:
217 Removing vulnerable versions (#268515), fixing license (#233747).
218
219 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
220 Stable for HPPA (bug #268515).
221
222 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
223 Adapting rubygems notice.
224
225 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
226 amd64 stable, bug #268515.
227
228 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
229 arm/ia64/s390/sh/sparc stable wrt #268515
230
231 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
232 ruby-1.8.6_p368.ebuild:
233 stable x86, security bug 268515
234
235 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
236 ruby-1.8.6_p368.ebuild:
237 Stable on alpha, bug #268515
238
239 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
240 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
241
242*ruby-1.8.7_p160 (07 May 2009)
243*ruby-1.8.6_p368 (07 May 2009)
244
245 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
246 +ruby-1.8.7_p160.ebuild:
247 Version bump as per secbug 268515. NB: These are the first ebuilds that
248 no longer use ruby-config.
249
250*ruby-1.9.1-r1 (03 Apr 2009)
251*ruby-1.8.7_p72-r11 (03 Apr 2009)
252*ruby-1.8.6_p287-r13 (03 Apr 2009)
253
254 03 Apr 2009; Alex Legler <a3li@gentoo.org>
255 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
256 +files/ruby18-mkmf-parallel-install.patch,
257 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
258 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
259 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
260 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
261 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
262 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
263 happy.
264
265*ruby-1.9.1 (21 Mar 2009)
266
267 21 Mar 2009; Alex Legler <a3li@gentoo.org>
268 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
269 +ruby-1.9.1.ebuild:
270 Adding Ruby 1.9.1 for preliminary testing
271
272 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
273 ruby-1.8.6_p287-r12.ebuild:
274 Marked ~ppc for bug #252315.
4 275
5 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild: 276 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
6 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes 277 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
7 bug 261982. 278 bug 261982.
8 279

Legend:
Removed from v.1.386  
changed lines
  Added in v.1.445

  ViewVC Help
Powered by ViewVC 1.1.20